package com.eactive.eai.rms.client.service.weblogic;

import java.util.Properties;

class SingleQueueMonitoringForWebLogicTest {

	/**
	 * @param args
	 * @throws Exception
	 */
	public static void main(String[] args)throws Exception{
		SingleQueueMonitoringForWebLogic monitoring = new SingleQueueMonitoringForWebLogic();
		Properties properties = new Properties();
		properties.put("LOCAL_MBEAN_SERVER_IP", "192.168.240.175");
		properties.put("LOCAL_MBEAN_SERVER_PORT", "8001");
		properties.put("LOCAL_MBEAN_SERVER_ID", "wasadm");
		properties.put("LOCAL_MBEAN_SERVER_PASSWORD", "!wasadm12");
		
		monitoring.init(properties);
		System.out.println(monitoring.getState("agwSvr11"));
	}
}
